Get audience
Get an artist's followers across services.
Available platforms are listed in the Get platforms for audience data endpoint.
The API response will include the platform's primary “fan” metric even if it is named differently (e.g., Facebook likes, YouTube subscribers, Deezer fans, Gaana favorites, Line Music Likes). All these are under the "followerCount" metric.
The API response may not return a value for all dates, as we may miss a day or two. These data points may still show on our UI because we estimate the missing data between two points.
Audience refresh frequency depends on the artist’s followers on the platform:
- less than 9 followers: every 15 days
- between 10 and 149 followers: every 7 days
- between 150 and 499 followers: every 5 days
- between 500 and 4,999 followers: every 3 days
- more than 5,000: every 2 days
Don’t see any audience metric for one platform in the response for a specific artist? We may not have the artist platform ID! Use the Add links endpoint to submit it Soundcharts.
To find an artist's UUID, use either the Get artist by platform ID or Search artist by name endpoints.
| likeCount | followerCount | followingCount | postCount | viewCount | |
|---|---|---|---|---|---|
| X | X | X | |||
| mixcloud | X | X | |||
| patreon | X | X | |||
| soundcloud | X | X | X | ||
| tiktok | X | X | X | ||
| triller | X | X | |||
| x | X | X | X | X | |
| youtube | X | X | X | ||
| X | X | X | X | ||
| Other Platforms | X |
Request
/api/v2/artist/{uuid}/audience/{platform}
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| uuid | string | An artist UUID | Required |
| platform | string | A social platform code | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| startDate | string | Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date. | Optional |
| endDate | string | Optional period end date (format YYYY-MM-DD) | Optional |
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
A Social Account response along with its audience plots |
Social Audience Plot Collection |
| 400 |
Bad Request
Invalid request |
|
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Artist not found |